# 32/64bit spec-file
#
%define version   0.2.0

%define scim_version   1.4.14
%define uim_version    1.8.6

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      scim-uim
Summary:   A wrapper for uim
Version:   %{version}
Release:   %mkrel 4
Group:     System/Internationalization
License:   GPLv2+
URL:       http://www.scim-im.org/
Source0:   %{name}-%{version}.tar.xz
Patch1: scim-uim-0.2.0-uim-1.5.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        scim >= %{scim_version}
Requires:        uim >= %{uim_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   uim-devel >= %{uim_version}
BuildRequires:   automake
#BuildRequires:   m17n-lib-devel
Obsoletes:	libscim-uim0
Obsoletes:	scim-uim < %version

%description
A wrapper for uim.

%prep
%setup -q
%patch1 -p1

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%scim_plugins_dir/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%scim_plugins_dir/IMEngine/*.so


%changelog
* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 0.2.0-4pclos2013
- rebuild against latest uim and scim
- fix release number (tex)

* Tue Sep 10 2013 pinoc <vogtpet at gmail.com> 0.2.0-3pclos2013
- rebuild on 32 against updated uim

* Mon Feb 04 2013 pinoc <vogtpet at gmail.com> 0.2.0-2pclos2013
- rebuild on 64

* Wed May 12 2010 Texstar <texstar at gmail.com> 0.2.0-1pclos2010
- update for 2010 release

